# Role journald-rcv : installation et configuration du serveur systemd-journal-remote (centralisation des logs)
***
## Fonctionnalitées du rôle:

Ce role a pour objectif d'installer et d'éditer les fichiers de configuration de systemd journal remote afin que les machines lançant ce rôle puissent recevoir les logs des autres machine du parc.

##  Opérations réaliser par le role:
Le role réalise les opération suivante:
* installation du paquet **systemd-journal-remote**.
* Démarrage et activation (au démarrage) du service **systemd-journal-remote.socket.
* Création des fichiers de configuration de **systemd-journal-remote** à partir d'une copie du fichier de configuration déja existante.
* Changement du protocole utilisé par journald. Passant du protocole **HTTPS** au protocole **HTTP*** Activation du mode split qui permet d'avoir un fichier de log par machine supervisées.
* Création du répertoire qui accueillera les fichiers de logs.
* Rédémarrage du daemon systemd afin que le système prenne en compte les modifications efféctuées.

## Test du bon fonctionnement du rôle

Afin de tester le rôle nous éffectuons un test:

**Depuis la machine sur laquelle ce rôle est installé:**
* **journalctl -f -D /var/log/journal/remote/
* S'assurer que le port 19532 (port par défault utilisé par le serviceà) soit ouvert et utilisable sur toutes les machines en entrée.

Afin de consulter les fichiers d'événement.

** Depuis une des machines eméttrices de logs:**

* **logger ok**

Si le message émis par la machine éméttrice et consultable depuis la machine receptrice alors le test est réussi.
